# -*-Perl-*-
# $Id: platform.pm,v 1.1 2000/04/11 16:38:15 hans Exp $

package platform;
use Exporter;
@ISA = qw ( Exporter );

sub new {
    my $type = shift;
    my %params = @_;
    my $self = {};
    foreach $key (keys %params) {
	$self->{$key} = $params{$key};
    }
    bless $self;
    return $self;
}

sub display {
    my $self = shift;
    my @keys = @_ ? @_ : sort keys %$self;
    foreach $key (@keys) {
	print "\t$key => $self->{$key}\n";
    }
}

sub objtype {
    return "platform";
}

#
# Simple attributes
#

sub platdesc {
    my $self = shift;
    return $self->{"platdesc"};
}

sub addfilename {
    my $self = shift;
    my ( $filename ) = @_;
    $self->{"filename"} = $filename;
}

sub filename {
    my $self = shift;
    return $self->{"filename"};
}
